FROM maven:latest AS build

ENV http_proxy "http://ESFPSMPX01.sys:8080"
ENV https_proxy "http://ESFPSMPX01.sys:8080"

ENV TZ=UTC
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

COPY ./settings.xml /usr/share/maven/conf/settings.xml

COPY ./catalyst-data-model/src /catalyst-data-model/src
RUN mkdir /catalyst-data-model/target/
COPY ./catalyst-data-model/pom.xml /catalyst-data-model/
WORKDIR /catalyst-data-model
RUN mvn clean install -X
RUN ls target

COPY ./catalyst-db-api/src/ /root/src
COPY ./catalyst-db-api/pom.xml /root/
WORKDIR /root
RUN mvn clean install -X
RUN ls target

COPY ./catalyst-db-api/setenv.sh /

VOLUME ["/root/war"]

FROM tomcat:8
COPY --from=build /root/target/db-api-1.0.0.war /usr/local/tomcat/webapps/db-api-1.0.0.war
#CMD ["cp", "-f", "root/target/db-api-1.0.0.war", "/usr/local/tomcat/webapps/db-api-1.0.0.war"]
